{#
/**
 * @file
 * Default theme implementation for a view template to display a list of rows.
 *
 * Available variables:
 * - attributes: HTML attributes for the container.
 * - rows: A list of rows for this list.
 *   - attributes: The row's HTML attributes.
 *   - content: The row's contents.
 * - title: The title of this group of rows. May be empty.
 * - list: @todo.
 *   - type: Starting tag will be either a ul or ol.
 *   - attributes: HTML attributes for the list element.
 *
 * @see template_preprocess_views_view_list()
 *
 * @ingroup themeable
 */
#}
{{ attach_library('corporateplus/slider-revolution-full-width-init') }}
<div id="slideshow-fullwidth" class="slideshow-fullwidth slider-revolution-wrapper rev_slider_wrapper {% if rows|length <= 1 %}one-slide{% endif %}">

  <div class="rev_slider" data-version="5.4.8">
    {% if title %}
      <h3>{{ title }}</h3>
    {% endif %}

    <{{ list.type }}{{ list.attributes }}>

      {% for row in rows %}
        <li{{ row.attributes }} data-transition="{{ mt_setting.rs_slideshow_fullwidth_effect }}" data-slotamount="default" data-title="{{ row.title }}" data-masterspeed="default">
          {{ row.content }}
          <div class="tp-caption scroll-button"
            data-actions='[{
              "event": "click",
              "action": "scrollbelow",
              "offset": "50px",
              "delay": "0"
            }]'
            data-x="center"
            data-y="bottom"
            data-voffset="0"
            data-start="0"
            data-basealign="slide"
            data-transform_idle="o:1"
            data-transform_in="o:0;s:300;"
            data-transform_out="o:0;s:300;">
            <span></span>
          </div>
        </li>
      {% endfor %}

    </{{ list.type }}>
    <div class="tp-bannertimer tp-bottom"></div>
  </div>
</div>
